Main Page | Data Structures | Directories | File List | Data Fields | Globals

# TSK_MM_PART Struct Reference

`#include <mm_tools.h>`

## Detailed Description

Linked list entry that describes a volume in a generic way.

## Data Fields
TSK_MM_PART * | prev
| POinter to previous partition (or NULL).
TSK_MM_PART * | next
| Pointer to next partition (or NULL).
DADDR_T | start
| Sector offset of start of partition.
DADDR_T | len
| Number of sectors in partition.
char * | desc
| UTF-8 description of partition.
int8_t | table_num
| Table address that describes this partition.
int8_t | slot_num
| Entry in the table that describes this partition.
TSK_MM_PART_TYPE_ENUM | type
| Type of partition.

The documentation for this struct was generated from the following file:

- src/mmtools/mm_tools.h